{% extends 'base.html' %} {% block content %}
<div class="text-box">
  <h2>Transcription Room: {{code}}</h2>
  <div class="text" id="text"></div>
</div>
<script type="text/javascript">
  var socketio = io();

  const text = document.getElementById("text");

  const addText = (txt) => {
    const content = `
        <span>
            ${txt.data}
        </span>
    `;
    text.innerHTML += content;
  };

  socketio.on("message", (data) => {
    addText(data);
  });

</script>
{% for txt in text %}
<script type="text/javascript">
  addText("{{txt}}");
</script>
{% endfor %} {% endblock %}